# Лабораторная работа №2 - Разработка простейшего распределённого приложения

## Задание

* Разработать два приложения такие, что результат первого является исходными данными для второго.
* Собрать файл ```docker-compose.yml``` для запуска приложений.

Изучить файлы сборки образов ```docker``` и разработать их для созданных приложений и правильно закоммитить решение

### Варианты задания:
&nbsp;1. ```app_one``` - Ищет в каталоге ```/var/data``` файл с наибольшим количеством строк и перекладывает его в ```/var/result/data.txt.```

&nbsp;2. ```app_two``` - Ищет наименьшее число из файла ```/var/data/data.txt``` и сохраняет его третью степень в ```/var/result/result.txt.```


## Запуск

## Запуск работы

1. Убедиться, что установлены необходимые технологии:
   - Docker: Платформа для контейнеризации приложений.
   - Docker Compose: Инструмент для запуска многоконтейнерных приложений на основе `docker-compose.yaml`. Обычно поставляется вместе с Docker. Чтобы проверить, установлена ли утилита, нужно запустить команду:
```bash
    docker-compose --version
```

2. В директории, где находится файл `docker-compose.yaml`, выполнить следующую команду для запуска всех сервисов:
```bash
    docker-compose up --build
```
Эта команда сначала выполнит сборку, а затем запустит контейнеры.

3. После успешного запуска можно перейти в каталог проекта и увидеть папку data со сгенерированными файлами и папку result, в которой два текстовых файла:
   - data.txt - файл, полученный после выполнения первой программы.
   - result.txt -файл, полученный после выполнения второй программы.

## Описание работы:

Для разработки приложений был выбран язык программирования - ```python```
Построчное описание docker-compose.yaml и других файлов выполнено в самих файлах.

# Вк видео
https://vk.com/video256017065_456239871?list=ln-0dkZ8lxZS2VXpSR3TP